[@rxap/material-table-system](../wiki/globals) / ExpandRowContainerComponent

# Class: ExpandRowContainerComponent\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:53](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L53)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Implements

- `AfterContentInit`
- `OnDestroy`

## Constructors

### new ExpandRowContainerComponent()

> **new ExpandRowContainerComponent**\<`Data`\>(`viewContainerRef`, `expandCell`): [`ExpandRowContainerComponent`](../wiki/Class.ExpandRowContainerComponent)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:65](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L65)

#### Parameters

##### viewContainerRef

`ViewContainerRef`

##### expandCell

[`ExpandRowService`](../wiki/Class.ExpandRowService)\<`Data`\>

#### Returns

[`ExpandRowContainerComponent`](../wiki/Class.ExpandRowContainerComponent)\<`Data`\>

## Properties

### element

> **element**: `Data`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:56](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L56)

***

### expandCell

> `readonly` **expandCell**: [`ExpandRowService`](../wiki/Class.ExpandRowService)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:69](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L69)

***

### expandCellContent?

> `optional` **expandCellContent**: [`ExpandRowContentDirective`](../wiki/Class.ExpandRowContentDirective)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:59](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L59)

***

### portal

> **portal**: `null` \| `TemplatePortal`\<[`ExpandCellContentDirectiveContext`](../wiki/Interface.ExpandCellContentDirectiveContext)\<`Data`\>\> = `null`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:61](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L61)

## Methods

### ngAfterContentInit()

> **ngAfterContentInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:77](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L77)

A callback method that is invoked immediately after
Angular has completed initialization of all of the directive's
content.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`AfterContentInit.ngAfterContentInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:73](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts#L73)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
